osmium::io::GzipDecompressor Class Reference

`#include <gzip_compression.hpp>`

Inheritance diagram for osmium::io::GzipDecompressor:
[legend]
Collaboration diagram for osmium::io::GzipDecompressor:
[legend]

## Public Member Functions

| GzipDecompressor (int fd)
| ~GzipDecompressor () noexceptfinal
std::string | read () final
void | close () final
Public Member Functions inherited from osmium::io::Decompressor
| Decompressor ()=default
| Decompressor (const Decompressor &)=delete
Decompressor & | operator= (const Decompressor &)=delete
| Decompressor (Decompressor &&)=delete
Decompressor & | operator= (Decompressor &&)=delete
virtual | ~Decompressor () noexcept

## Private Attributes

gzFile | m_gzfile

## Additional Inherited Members

Static Public Attributes inherited from osmium::io::Decompressor
static constexpr unsigned int | input_buffer_size = 1024 * 1024

## Constructor & Destructor Documentation

osmium::io::GzipDecompressor::GzipDecompressor | ( | int | fd | ) |

inline explicit

osmium::io::GzipDecompressor::~GzipDecompressor | ( |  | ) |

inline final noexcept

## Member Function Documentation

void osmium::io::GzipDecompressor::close | ( |  | ) |

inline final virtual

Implements osmium::io::Decompressor.

std::string osmium::io::GzipDecompressor::read | ( |  | ) |

inline final virtual

Implements osmium::io::Decompressor.

## Member Data Documentation

gzFile osmium::io::GzipDecompressor::m_gzfile

private

The documentation for this class was generated from the following file:

- osmium/io/gzip_compression.hpp